IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network10.242.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
- Network address
10.242.0.0- Broadcast address
10.243.255.255- First usable
10.242.0.1- Last usable
10.243.255.254- Usable hosts
- 131,070 (131,072 less the network and broadcast addresses)
- Subnet mask
255.254.0.0- Wildcard mask
0.1.255.255(Cisco ACLs, OSPF)- Prefix length
- /15
- Type
- Private (RFC 1918) 10.0.0.0/8
Office and home networks; not routed on the internet - Old class
- A (default /8)
- As numbers
- Hex
0AF20000· Integer183631872to183762943 - Reverse DNS zones
242.10.in-addr.arpa243.10.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00001010.11110010.00000000.00000000 | 10.242.0.0 |
| Subnet mask | 11111111.11111110.00000000.00000000 | 255.254.0.0 |
| Network | 00001010.11110010.00000000.00000000 | 10.242.0.0 |
| Broadcast | 00001010.11110011.11111111.11111111 | 10.243.255.255 |
Split into smaller subnets
/16 (2)/17 (4)/18 (8)/19 (16)/20 (32)/21 (64)/22 (128)/23 (256)/24 (512)/25 (1,024)/26 (2,048)/27 (4,096)
10.242.0.0/15 makes 256 subnets of /23.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 10.242.0.0/23 | 10.242.0.1 to 10.242.1.254 | 10.242.1.255 | 510 |
| 2 | 10.242.2.0/23 | 10.242.2.1 to 10.242.3.254 | 10.242.3.255 | 510 |
| 3 | 10.242.4.0/23 | 10.242.4.1 to 10.242.5.254 | 10.242.5.255 | 510 |
| 4 | 10.242.6.0/23 | 10.242.6.1 to 10.242.7.254 | 10.242.7.255 | 510 |
| 5 | 10.242.8.0/23 | 10.242.8.1 to 10.242.9.254 | 10.242.9.255 | 510 |
| 6 | 10.242.10.0/23 | 10.242.10.1 to 10.242.11.254 | 10.242.11.255 | 510 |
| 7 | 10.242.12.0/23 | 10.242.12.1 to 10.242.13.254 | 10.242.13.255 | 510 |
| 8 | 10.242.14.0/23 | 10.242.14.1 to 10.242.15.254 | 10.242.15.255 | 510 |
| 9 | 10.242.16.0/23 | 10.242.16.1 to 10.242.17.254 | 10.242.17.255 | 510 |
| 10 | 10.242.18.0/23 | 10.242.18.1 to 10.242.19.254 | 10.242.19.255 | 510 |
| 11 | 10.242.20.0/23 | 10.242.20.1 to 10.242.21.254 | 10.242.21.255 | 510 |
| 12 | 10.242.22.0/23 | 10.242.22.1 to 10.242.23.254 | 10.242.23.255 | 510 |
| 13 | 10.242.24.0/23 | 10.242.24.1 to 10.242.25.254 | 10.242.25.255 | 510 |
| 14 | 10.242.26.0/23 | 10.242.26.1 to 10.242.27.254 | 10.242.27.255 | 510 |
| 15 | 10.242.28.0/23 | 10.242.28.1 to 10.242.29.254 | 10.242.29.255 | 510 |
| 16 | 10.242.30.0/23 | 10.242.30.1 to 10.242.31.254 | 10.242.31.255 | 510 |
| 17 | 10.242.32.0/23 | 10.242.32.1 to 10.242.33.254 | 10.242.33.255 | 510 |
| 18 | 10.242.34.0/23 | 10.242.34.1 to 10.242.35.254 | 10.242.35.255 | 510 |
| 19 | 10.242.36.0/23 | 10.242.36.1 to 10.242.37.254 | 10.242.37.255 | 510 |
| 20 | 10.242.38.0/23 | 10.242.38.1 to 10.242.39.254 | 10.242.39.255 | 510 |
| 21 | 10.242.40.0/23 | 10.242.40.1 to 10.242.41.254 | 10.242.41.255 | 510 |
| 22 | 10.242.42.0/23 | 10.242.42.1 to 10.242.43.254 | 10.242.43.255 | 510 |
| 23 | 10.242.44.0/23 | 10.242.44.1 to 10.242.45.254 | 10.242.45.255 | 510 |
| 24 | 10.242.46.0/23 | 10.242.46.1 to 10.242.47.254 | 10.242.47.255 | 510 |
| 25 | 10.242.48.0/23 | 10.242.48.1 to 10.242.49.254 | 10.242.49.255 | 510 |
| 26 | 10.242.50.0/23 | 10.242.50.1 to 10.242.51.254 | 10.242.51.255 | 510 |
| 27 | 10.242.52.0/23 | 10.242.52.1 to 10.242.53.254 | 10.242.53.255 | 510 |
| 28 | 10.242.54.0/23 | 10.242.54.1 to 10.242.55.254 | 10.242.55.255 | 510 |
| 29 | 10.242.56.0/23 | 10.242.56.1 to 10.242.57.254 | 10.242.57.255 | 510 |
| 30 | 10.242.58.0/23 | 10.242.58.1 to 10.242.59.254 | 10.242.59.255 | 510 |
| 31 | 10.242.60.0/23 | 10.242.60.1 to 10.242.61.254 | 10.242.61.255 | 510 |
| 32 | 10.242.62.0/23 | 10.242.62.1 to 10.242.63.254 | 10.242.63.255 | 510 |
| 33 | 10.242.64.0/23 | 10.242.64.1 to 10.242.65.254 | 10.242.65.255 | 510 |
| 34 | 10.242.66.0/23 | 10.242.66.1 to 10.242.67.254 | 10.242.67.255 | 510 |
| 35 | 10.242.68.0/23 | 10.242.68.1 to 10.242.69.254 | 10.242.69.255 | 510 |
| 36 | 10.242.70.0/23 | 10.242.70.1 to 10.242.71.254 | 10.242.71.255 | 510 |
| 37 | 10.242.72.0/23 | 10.242.72.1 to 10.242.73.254 | 10.242.73.255 | 510 |
| 38 | 10.242.74.0/23 | 10.242.74.1 to 10.242.75.254 | 10.242.75.255 | 510 |
| 39 | 10.242.76.0/23 | 10.242.76.1 to 10.242.77.254 | 10.242.77.255 | 510 |
| 40 | 10.242.78.0/23 | 10.242.78.1 to 10.242.79.254 | 10.242.79.255 | 510 |
| 41 | 10.242.80.0/23 | 10.242.80.1 to 10.242.81.254 | 10.242.81.255 | 510 |
| 42 | 10.242.82.0/23 | 10.242.82.1 to 10.242.83.254 | 10.242.83.255 | 510 |
| 43 | 10.242.84.0/23 | 10.242.84.1 to 10.242.85.254 | 10.242.85.255 | 510 |
| 44 | 10.242.86.0/23 | 10.242.86.1 to 10.242.87.254 | 10.242.87.255 | 510 |
| 45 | 10.242.88.0/23 | 10.242.88.1 to 10.242.89.254 | 10.242.89.255 | 510 |
| 46 | 10.242.90.0/23 | 10.242.90.1 to 10.242.91.254 | 10.242.91.255 | 510 |
| 47 | 10.242.92.0/23 | 10.242.92.1 to 10.242.93.254 | 10.242.93.255 | 510 |
| 48 | 10.242.94.0/23 | 10.242.94.1 to 10.242.95.254 | 10.242.95.255 | 510 |
| 49 | 10.242.96.0/23 | 10.242.96.1 to 10.242.97.254 | 10.242.97.255 | 510 |
| 50 | 10.242.98.0/23 | 10.242.98.1 to 10.242.99.254 | 10.242.99.255 | 510 |
| 51 | 10.242.100.0/23 | 10.242.100.1 to 10.242.101.254 | 10.242.101.255 | 510 |
| 52 | 10.242.102.0/23 | 10.242.102.1 to 10.242.103.254 | 10.242.103.255 | 510 |
| 53 | 10.242.104.0/23 | 10.242.104.1 to 10.242.105.254 | 10.242.105.255 | 510 |
| 54 | 10.242.106.0/23 | 10.242.106.1 to 10.242.107.254 | 10.242.107.255 | 510 |
| 55 | 10.242.108.0/23 | 10.242.108.1 to 10.242.109.254 | 10.242.109.255 | 510 |
| 56 | 10.242.110.0/23 | 10.242.110.1 to 10.242.111.254 | 10.242.111.255 | 510 |
| 57 | 10.242.112.0/23 | 10.242.112.1 to 10.242.113.254 | 10.242.113.255 | 510 |
| 58 | 10.242.114.0/23 | 10.242.114.1 to 10.242.115.254 | 10.242.115.255 | 510 |
| 59 | 10.242.116.0/23 | 10.242.116.1 to 10.242.117.254 | 10.242.117.255 | 510 |
| 60 | 10.242.118.0/23 | 10.242.118.1 to 10.242.119.254 | 10.242.119.255 | 510 |
| 61 | 10.242.120.0/23 | 10.242.120.1 to 10.242.121.254 | 10.242.121.255 | 510 |
| 62 | 10.242.122.0/23 | 10.242.122.1 to 10.242.123.254 | 10.242.123.255 | 510 |
| 63 | 10.242.124.0/23 | 10.242.124.1 to 10.242.125.254 | 10.242.125.255 | 510 |
| 64 | 10.242.126.0/23 | 10.242.126.1 to 10.242.127.254 | 10.242.127.255 | 510 |
| 65 | 10.242.128.0/23 | 10.242.128.1 to 10.242.129.254 | 10.242.129.255 | 510 |
| 66 | 10.242.130.0/23 | 10.242.130.1 to 10.242.131.254 | 10.242.131.255 | 510 |
| 67 | 10.242.132.0/23 | 10.242.132.1 to 10.242.133.254 | 10.242.133.255 | 510 |
| 68 | 10.242.134.0/23 | 10.242.134.1 to 10.242.135.254 | 10.242.135.255 | 510 |
| 69 | 10.242.136.0/23 | 10.242.136.1 to 10.242.137.254 | 10.242.137.255 | 510 |
| 70 | 10.242.138.0/23 | 10.242.138.1 to 10.242.139.254 | 10.242.139.255 | 510 |
| 71 | 10.242.140.0/23 | 10.242.140.1 to 10.242.141.254 | 10.242.141.255 | 510 |
| 72 | 10.242.142.0/23 | 10.242.142.1 to 10.242.143.254 | 10.242.143.255 | 510 |
| 73 | 10.242.144.0/23 | 10.242.144.1 to 10.242.145.254 | 10.242.145.255 | 510 |
| 74 | 10.242.146.0/23 | 10.242.146.1 to 10.242.147.254 | 10.242.147.255 | 510 |
| 75 | 10.242.148.0/23 | 10.242.148.1 to 10.242.149.254 | 10.242.149.255 | 510 |
| 76 | 10.242.150.0/23 | 10.242.150.1 to 10.242.151.254 | 10.242.151.255 | 510 |
| 77 | 10.242.152.0/23 | 10.242.152.1 to 10.242.153.254 | 10.242.153.255 | 510 |
| 78 | 10.242.154.0/23 | 10.242.154.1 to 10.242.155.254 | 10.242.155.255 | 510 |
| 79 | 10.242.156.0/23 | 10.242.156.1 to 10.242.157.254 | 10.242.157.255 | 510 |
| 80 | 10.242.158.0/23 | 10.242.158.1 to 10.242.159.254 | 10.242.159.255 | 510 |
| 81 | 10.242.160.0/23 | 10.242.160.1 to 10.242.161.254 | 10.242.161.255 | 510 |
| 82 | 10.242.162.0/23 | 10.242.162.1 to 10.242.163.254 | 10.242.163.255 | 510 |
| 83 | 10.242.164.0/23 | 10.242.164.1 to 10.242.165.254 | 10.242.165.255 | 510 |
| 84 | 10.242.166.0/23 | 10.242.166.1 to 10.242.167.254 | 10.242.167.255 | 510 |
| 85 | 10.242.168.0/23 | 10.242.168.1 to 10.242.169.254 | 10.242.169.255 | 510 |
| 86 | 10.242.170.0/23 | 10.242.170.1 to 10.242.171.254 | 10.242.171.255 | 510 |
| 87 | 10.242.172.0/23 | 10.242.172.1 to 10.242.173.254 | 10.242.173.255 | 510 |
| 88 | 10.242.174.0/23 | 10.242.174.1 to 10.242.175.254 | 10.242.175.255 | 510 |
| 89 | 10.242.176.0/23 | 10.242.176.1 to 10.242.177.254 | 10.242.177.255 | 510 |
| 90 | 10.242.178.0/23 | 10.242.178.1 to 10.242.179.254 | 10.242.179.255 | 510 |
| 91 | 10.242.180.0/23 | 10.242.180.1 to 10.242.181.254 | 10.242.181.255 | 510 |
| 92 | 10.242.182.0/23 | 10.242.182.1 to 10.242.183.254 | 10.242.183.255 | 510 |
| 93 | 10.242.184.0/23 | 10.242.184.1 to 10.242.185.254 | 10.242.185.255 | 510 |
| 94 | 10.242.186.0/23 | 10.242.186.1 to 10.242.187.254 | 10.242.187.255 | 510 |
| 95 | 10.242.188.0/23 | 10.242.188.1 to 10.242.189.254 | 10.242.189.255 | 510 |
| 96 | 10.242.190.0/23 | 10.242.190.1 to 10.242.191.254 | 10.242.191.255 | 510 |
| 97 | 10.242.192.0/23 | 10.242.192.1 to 10.242.193.254 | 10.242.193.255 | 510 |
| 98 | 10.242.194.0/23 | 10.242.194.1 to 10.242.195.254 | 10.242.195.255 | 510 |
| 99 | 10.242.196.0/23 | 10.242.196.1 to 10.242.197.254 | 10.242.197.255 | 510 |
| 100 | 10.242.198.0/23 | 10.242.198.1 to 10.242.199.254 | 10.242.199.255 | 510 |
| 101 | 10.242.200.0/23 | 10.242.200.1 to 10.242.201.254 | 10.242.201.255 | 510 |
| 102 | 10.242.202.0/23 | 10.242.202.1 to 10.242.203.254 | 10.242.203.255 | 510 |
| 103 | 10.242.204.0/23 | 10.242.204.1 to 10.242.205.254 | 10.242.205.255 | 510 |
| 104 | 10.242.206.0/23 | 10.242.206.1 to 10.242.207.254 | 10.242.207.255 | 510 |
| 105 | 10.242.208.0/23 | 10.242.208.1 to 10.242.209.254 | 10.242.209.255 | 510 |
| 106 | 10.242.210.0/23 | 10.242.210.1 to 10.242.211.254 | 10.242.211.255 | 510 |
| 107 | 10.242.212.0/23 | 10.242.212.1 to 10.242.213.254 | 10.242.213.255 | 510 |
| 108 | 10.242.214.0/23 | 10.242.214.1 to 10.242.215.254 | 10.242.215.255 | 510 |
| 109 | 10.242.216.0/23 | 10.242.216.1 to 10.242.217.254 | 10.242.217.255 | 510 |
| 110 | 10.242.218.0/23 | 10.242.218.1 to 10.242.219.254 | 10.242.219.255 | 510 |
| 111 | 10.242.220.0/23 | 10.242.220.1 to 10.242.221.254 | 10.242.221.255 | 510 |
| 112 | 10.242.222.0/23 | 10.242.222.1 to 10.242.223.254 | 10.242.223.255 | 510 |
| 113 | 10.242.224.0/23 | 10.242.224.1 to 10.242.225.254 | 10.242.225.255 | 510 |
| 114 | 10.242.226.0/23 | 10.242.226.1 to 10.242.227.254 | 10.242.227.255 | 510 |
| 115 | 10.242.228.0/23 | 10.242.228.1 to 10.242.229.254 | 10.242.229.255 | 510 |
| 116 | 10.242.230.0/23 | 10.242.230.1 to 10.242.231.254 | 10.242.231.255 | 510 |
| 117 | 10.242.232.0/23 | 10.242.232.1 to 10.242.233.254 | 10.242.233.255 | 510 |
| 118 | 10.242.234.0/23 | 10.242.234.1 to 10.242.235.254 | 10.242.235.255 | 510 |
| 119 | 10.242.236.0/23 | 10.242.236.1 to 10.242.237.254 | 10.242.237.255 | 510 |
| 120 | 10.242.238.0/23 | 10.242.238.1 to 10.242.239.254 | 10.242.239.255 | 510 |
| 121 | 10.242.240.0/23 | 10.242.240.1 to 10.242.241.254 | 10.242.241.255 | 510 |
| 122 | 10.242.242.0/23 | 10.242.242.1 to 10.242.243.254 | 10.242.243.255 | 510 |
| 123 | 10.242.244.0/23 | 10.242.244.1 to 10.242.245.254 | 10.242.245.255 | 510 |
| 124 | 10.242.246.0/23 | 10.242.246.1 to 10.242.247.254 | 10.242.247.255 | 510 |
| 125 | 10.242.248.0/23 | 10.242.248.1 to 10.242.249.254 | 10.242.249.255 | 510 |
| 126 | 10.242.250.0/23 | 10.242.250.1 to 10.242.251.254 | 10.242.251.255 | 510 |
| 127 | 10.242.252.0/23 | 10.242.252.1 to 10.242.253.254 | 10.242.253.255 | 510 |
| 128 | 10.242.254.0/23 | 10.242.254.1 to 10.242.255.254 | 10.242.255.255 | 510 |
| 129 | 10.243.0.0/23 | 10.243.0.1 to 10.243.1.254 | 10.243.1.255 | 510 |
| 130 | 10.243.2.0/23 | 10.243.2.1 to 10.243.3.254 | 10.243.3.255 | 510 |
| 131 | 10.243.4.0/23 | 10.243.4.1 to 10.243.5.254 | 10.243.5.255 | 510 |
| 132 | 10.243.6.0/23 | 10.243.6.1 to 10.243.7.254 | 10.243.7.255 | 510 |
| 133 | 10.243.8.0/23 | 10.243.8.1 to 10.243.9.254 | 10.243.9.255 | 510 |
| 134 | 10.243.10.0/23 | 10.243.10.1 to 10.243.11.254 | 10.243.11.255 | 510 |
| 135 | 10.243.12.0/23 | 10.243.12.1 to 10.243.13.254 | 10.243.13.255 | 510 |
| 136 | 10.243.14.0/23 | 10.243.14.1 to 10.243.15.254 | 10.243.15.255 | 510 |
| 137 | 10.243.16.0/23 | 10.243.16.1 to 10.243.17.254 | 10.243.17.255 | 510 |
| 138 | 10.243.18.0/23 | 10.243.18.1 to 10.243.19.254 | 10.243.19.255 | 510 |
| 139 | 10.243.20.0/23 | 10.243.20.1 to 10.243.21.254 | 10.243.21.255 | 510 |
| 140 | 10.243.22.0/23 | 10.243.22.1 to 10.243.23.254 | 10.243.23.255 | 510 |
| 141 | 10.243.24.0/23 | 10.243.24.1 to 10.243.25.254 | 10.243.25.255 | 510 |
| 142 | 10.243.26.0/23 | 10.243.26.1 to 10.243.27.254 | 10.243.27.255 | 510 |
| 143 | 10.243.28.0/23 | 10.243.28.1 to 10.243.29.254 | 10.243.29.255 | 510 |
| 144 | 10.243.30.0/23 | 10.243.30.1 to 10.243.31.254 | 10.243.31.255 | 510 |
| 145 | 10.243.32.0/23 | 10.243.32.1 to 10.243.33.254 | 10.243.33.255 | 510 |
| 146 | 10.243.34.0/23 | 10.243.34.1 to 10.243.35.254 | 10.243.35.255 | 510 |
| 147 | 10.243.36.0/23 | 10.243.36.1 to 10.243.37.254 | 10.243.37.255 | 510 |
| 148 | 10.243.38.0/23 | 10.243.38.1 to 10.243.39.254 | 10.243.39.255 | 510 |
| 149 | 10.243.40.0/23 | 10.243.40.1 to 10.243.41.254 | 10.243.41.255 | 510 |
| 150 | 10.243.42.0/23 | 10.243.42.1 to 10.243.43.254 | 10.243.43.255 | 510 |
| 151 | 10.243.44.0/23 | 10.243.44.1 to 10.243.45.254 | 10.243.45.255 | 510 |
| 152 | 10.243.46.0/23 | 10.243.46.1 to 10.243.47.254 | 10.243.47.255 | 510 |
| 153 | 10.243.48.0/23 | 10.243.48.1 to 10.243.49.254 | 10.243.49.255 | 510 |
| 154 | 10.243.50.0/23 | 10.243.50.1 to 10.243.51.254 | 10.243.51.255 | 510 |
| 155 | 10.243.52.0/23 | 10.243.52.1 to 10.243.53.254 | 10.243.53.255 | 510 |
| 156 | 10.243.54.0/23 | 10.243.54.1 to 10.243.55.254 | 10.243.55.255 | 510 |
| 157 | 10.243.56.0/23 | 10.243.56.1 to 10.243.57.254 | 10.243.57.255 | 510 |
| 158 | 10.243.58.0/23 | 10.243.58.1 to 10.243.59.254 | 10.243.59.255 | 510 |
| 159 | 10.243.60.0/23 | 10.243.60.1 to 10.243.61.254 | 10.243.61.255 | 510 |
| 160 | 10.243.62.0/23 | 10.243.62.1 to 10.243.63.254 | 10.243.63.255 | 510 |
| 161 | 10.243.64.0/23 | 10.243.64.1 to 10.243.65.254 | 10.243.65.255 | 510 |
| 162 | 10.243.66.0/23 | 10.243.66.1 to 10.243.67.254 | 10.243.67.255 | 510 |
| 163 | 10.243.68.0/23 | 10.243.68.1 to 10.243.69.254 | 10.243.69.255 | 510 |
| 164 | 10.243.70.0/23 | 10.243.70.1 to 10.243.71.254 | 10.243.71.255 | 510 |
| 165 | 10.243.72.0/23 | 10.243.72.1 to 10.243.73.254 | 10.243.73.255 | 510 |
| 166 | 10.243.74.0/23 | 10.243.74.1 to 10.243.75.254 | 10.243.75.255 | 510 |
| 167 | 10.243.76.0/23 | 10.243.76.1 to 10.243.77.254 | 10.243.77.255 | 510 |
| 168 | 10.243.78.0/23 | 10.243.78.1 to 10.243.79.254 | 10.243.79.255 | 510 |
| 169 | 10.243.80.0/23 | 10.243.80.1 to 10.243.81.254 | 10.243.81.255 | 510 |
| 170 | 10.243.82.0/23 | 10.243.82.1 to 10.243.83.254 | 10.243.83.255 | 510 |
| 171 | 10.243.84.0/23 | 10.243.84.1 to 10.243.85.254 | 10.243.85.255 | 510 |
| 172 | 10.243.86.0/23 | 10.243.86.1 to 10.243.87.254 | 10.243.87.255 | 510 |
| 173 | 10.243.88.0/23 | 10.243.88.1 to 10.243.89.254 | 10.243.89.255 | 510 |
| 174 | 10.243.90.0/23 | 10.243.90.1 to 10.243.91.254 | 10.243.91.255 | 510 |
| 175 | 10.243.92.0/23 | 10.243.92.1 to 10.243.93.254 | 10.243.93.255 | 510 |
| 176 | 10.243.94.0/23 | 10.243.94.1 to 10.243.95.254 | 10.243.95.255 | 510 |
| 177 | 10.243.96.0/23 | 10.243.96.1 to 10.243.97.254 | 10.243.97.255 | 510 |
| 178 | 10.243.98.0/23 | 10.243.98.1 to 10.243.99.254 | 10.243.99.255 | 510 |
| 179 | 10.243.100.0/23 | 10.243.100.1 to 10.243.101.254 | 10.243.101.255 | 510 |
| 180 | 10.243.102.0/23 | 10.243.102.1 to 10.243.103.254 | 10.243.103.255 | 510 |
| 181 | 10.243.104.0/23 | 10.243.104.1 to 10.243.105.254 | 10.243.105.255 | 510 |
| 182 | 10.243.106.0/23 | 10.243.106.1 to 10.243.107.254 | 10.243.107.255 | 510 |
| 183 | 10.243.108.0/23 | 10.243.108.1 to 10.243.109.254 | 10.243.109.255 | 510 |
| 184 | 10.243.110.0/23 | 10.243.110.1 to 10.243.111.254 | 10.243.111.255 | 510 |
| 185 | 10.243.112.0/23 | 10.243.112.1 to 10.243.113.254 | 10.243.113.255 | 510 |
| 186 | 10.243.114.0/23 | 10.243.114.1 to 10.243.115.254 | 10.243.115.255 | 510 |
| 187 | 10.243.116.0/23 | 10.243.116.1 to 10.243.117.254 | 10.243.117.255 | 510 |
| 188 | 10.243.118.0/23 | 10.243.118.1 to 10.243.119.254 | 10.243.119.255 | 510 |
| 189 | 10.243.120.0/23 | 10.243.120.1 to 10.243.121.254 | 10.243.121.255 | 510 |
| 190 | 10.243.122.0/23 | 10.243.122.1 to 10.243.123.254 | 10.243.123.255 | 510 |
| 191 | 10.243.124.0/23 | 10.243.124.1 to 10.243.125.254 | 10.243.125.255 | 510 |
| 192 | 10.243.126.0/23 | 10.243.126.1 to 10.243.127.254 | 10.243.127.255 | 510 |
| 193 | 10.243.128.0/23 | 10.243.128.1 to 10.243.129.254 | 10.243.129.255 | 510 |
| 194 | 10.243.130.0/23 | 10.243.130.1 to 10.243.131.254 | 10.243.131.255 | 510 |
| 195 | 10.243.132.0/23 | 10.243.132.1 to 10.243.133.254 | 10.243.133.255 | 510 |
| 196 | 10.243.134.0/23 | 10.243.134.1 to 10.243.135.254 | 10.243.135.255 | 510 |
| 197 | 10.243.136.0/23 | 10.243.136.1 to 10.243.137.254 | 10.243.137.255 | 510 |
| 198 | 10.243.138.0/23 | 10.243.138.1 to 10.243.139.254 | 10.243.139.255 | 510 |
| 199 | 10.243.140.0/23 | 10.243.140.1 to 10.243.141.254 | 10.243.141.255 | 510 |
| 200 | 10.243.142.0/23 | 10.243.142.1 to 10.243.143.254 | 10.243.143.255 | 510 |
| 201 | 10.243.144.0/23 | 10.243.144.1 to 10.243.145.254 | 10.243.145.255 | 510 |
| 202 | 10.243.146.0/23 | 10.243.146.1 to 10.243.147.254 | 10.243.147.255 | 510 |
| 203 | 10.243.148.0/23 | 10.243.148.1 to 10.243.149.254 | 10.243.149.255 | 510 |
| 204 | 10.243.150.0/23 | 10.243.150.1 to 10.243.151.254 | 10.243.151.255 | 510 |
| 205 | 10.243.152.0/23 | 10.243.152.1 to 10.243.153.254 | 10.243.153.255 | 510 |
| 206 | 10.243.154.0/23 | 10.243.154.1 to 10.243.155.254 | 10.243.155.255 | 510 |
| 207 | 10.243.156.0/23 | 10.243.156.1 to 10.243.157.254 | 10.243.157.255 | 510 |
| 208 | 10.243.158.0/23 | 10.243.158.1 to 10.243.159.254 | 10.243.159.255 | 510 |
| 209 | 10.243.160.0/23 | 10.243.160.1 to 10.243.161.254 | 10.243.161.255 | 510 |
| 210 | 10.243.162.0/23 | 10.243.162.1 to 10.243.163.254 | 10.243.163.255 | 510 |
| 211 | 10.243.164.0/23 | 10.243.164.1 to 10.243.165.254 | 10.243.165.255 | 510 |
| 212 | 10.243.166.0/23 | 10.243.166.1 to 10.243.167.254 | 10.243.167.255 | 510 |
| 213 | 10.243.168.0/23 | 10.243.168.1 to 10.243.169.254 | 10.243.169.255 | 510 |
| 214 | 10.243.170.0/23 | 10.243.170.1 to 10.243.171.254 | 10.243.171.255 | 510 |
| 215 | 10.243.172.0/23 | 10.243.172.1 to 10.243.173.254 | 10.243.173.255 | 510 |
| 216 | 10.243.174.0/23 | 10.243.174.1 to 10.243.175.254 | 10.243.175.255 | 510 |
| 217 | 10.243.176.0/23 | 10.243.176.1 to 10.243.177.254 | 10.243.177.255 | 510 |
| 218 | 10.243.178.0/23 | 10.243.178.1 to 10.243.179.254 | 10.243.179.255 | 510 |
| 219 | 10.243.180.0/23 | 10.243.180.1 to 10.243.181.254 | 10.243.181.255 | 510 |
| 220 | 10.243.182.0/23 | 10.243.182.1 to 10.243.183.254 | 10.243.183.255 | 510 |
| 221 | 10.243.184.0/23 | 10.243.184.1 to 10.243.185.254 | 10.243.185.255 | 510 |
| 222 | 10.243.186.0/23 | 10.243.186.1 to 10.243.187.254 | 10.243.187.255 | 510 |
| 223 | 10.243.188.0/23 | 10.243.188.1 to 10.243.189.254 | 10.243.189.255 | 510 |
| 224 | 10.243.190.0/23 | 10.243.190.1 to 10.243.191.254 | 10.243.191.255 | 510 |
| 225 | 10.243.192.0/23 | 10.243.192.1 to 10.243.193.254 | 10.243.193.255 | 510 |
| 226 | 10.243.194.0/23 | 10.243.194.1 to 10.243.195.254 | 10.243.195.255 | 510 |
| 227 | 10.243.196.0/23 | 10.243.196.1 to 10.243.197.254 | 10.243.197.255 | 510 |
| 228 | 10.243.198.0/23 | 10.243.198.1 to 10.243.199.254 | 10.243.199.255 | 510 |
| 229 | 10.243.200.0/23 | 10.243.200.1 to 10.243.201.254 | 10.243.201.255 | 510 |
| 230 | 10.243.202.0/23 | 10.243.202.1 to 10.243.203.254 | 10.243.203.255 | 510 |
| 231 | 10.243.204.0/23 | 10.243.204.1 to 10.243.205.254 | 10.243.205.255 | 510 |
| 232 | 10.243.206.0/23 | 10.243.206.1 to 10.243.207.254 | 10.243.207.255 | 510 |
| 233 | 10.243.208.0/23 | 10.243.208.1 to 10.243.209.254 | 10.243.209.255 | 510 |
| 234 | 10.243.210.0/23 | 10.243.210.1 to 10.243.211.254 | 10.243.211.255 | 510 |
| 235 | 10.243.212.0/23 | 10.243.212.1 to 10.243.213.254 | 10.243.213.255 | 510 |
| 236 | 10.243.214.0/23 | 10.243.214.1 to 10.243.215.254 | 10.243.215.255 | 510 |
| 237 | 10.243.216.0/23 | 10.243.216.1 to 10.243.217.254 | 10.243.217.255 | 510 |
| 238 | 10.243.218.0/23 | 10.243.218.1 to 10.243.219.254 | 10.243.219.255 | 510 |
| 239 | 10.243.220.0/23 | 10.243.220.1 to 10.243.221.254 | 10.243.221.255 | 510 |
| 240 | 10.243.222.0/23 | 10.243.222.1 to 10.243.223.254 | 10.243.223.255 | 510 |
| 241 | 10.243.224.0/23 | 10.243.224.1 to 10.243.225.254 | 10.243.225.255 | 510 |
| 242 | 10.243.226.0/23 | 10.243.226.1 to 10.243.227.254 | 10.243.227.255 | 510 |
| 243 | 10.243.228.0/23 | 10.243.228.1 to 10.243.229.254 | 10.243.229.255 | 510 |
| 244 | 10.243.230.0/23 | 10.243.230.1 to 10.243.231.254 | 10.243.231.255 | 510 |
| 245 | 10.243.232.0/23 | 10.243.232.1 to 10.243.233.254 | 10.243.233.255 | 510 |
| 246 | 10.243.234.0/23 | 10.243.234.1 to 10.243.235.254 | 10.243.235.255 | 510 |
| 247 | 10.243.236.0/23 | 10.243.236.1 to 10.243.237.254 | 10.243.237.255 | 510 |
| 248 | 10.243.238.0/23 | 10.243.238.1 to 10.243.239.254 | 10.243.239.255 | 510 |
| 249 | 10.243.240.0/23 | 10.243.240.1 to 10.243.241.254 | 10.243.241.255 | 510 |
| 250 | 10.243.242.0/23 | 10.243.242.1 to 10.243.243.254 | 10.243.243.255 | 510 |
| 251 | 10.243.244.0/23 | 10.243.244.1 to 10.243.245.254 | 10.243.245.255 | 510 |
| 252 | 10.243.246.0/23 | 10.243.246.1 to 10.243.247.254 | 10.243.247.255 | 510 |
| 253 | 10.243.248.0/23 | 10.243.248.1 to 10.243.249.254 | 10.243.249.255 | 510 |
| 254 | 10.243.250.0/23 | 10.243.250.1 to 10.243.251.254 | 10.243.251.255 | 510 |
| 255 | 10.243.252.0/23 | 10.243.252.1 to 10.243.253.254 | 10.243.253.255 | 510 |
| 256 | 10.243.254.0/23 | 10.243.254.1 to 10.243.255.254 | 10.243.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |